## python-ceilometermiddleware 0.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.config>=2.3.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging!=1.17.0,!=1.17.1,>=1.16.0 # Apache-2.0
oslo.utils>=2.0.0 # Apache-2.0
pbr<2.0,>=1.6
pycadf>=1.1.0
six>=1.9.0
Babel>=1.3

=== debian/changelog ===
python-ceilometermiddleware (0.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Watch file now using github tag instead of broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2015 19:47:08 +0000

python-ceilometermiddleware (0.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release for OpenStack Liberty.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 12:51:01 +0100

python-ceilometermiddleware (0.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #788453)

 -- Thomas Goirand <zigo@debian.org>  Sat, 18 Apr 2015 18:49:40 +0200

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-hacking (>= 0.10.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.messaging (>= 1.16.0),
                     python-oslo.utils (>= 2.0.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pycadf (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-subunit (>= 0.0.18),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ceilometermiddleware.git
Vcs-Git: git://anonscm.debian.org/openstack/python-ceilometermiddleware.git
Homepage: http://www.openstack.org/

Package: python-ceilometermiddleware
Architecture: all
Depends: python-babel (>= 1.3),
         python-oslo.config (>= 1:2.3.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.messaging (>= 1.16.0),
         python-oslo.utils (>= 2.0.0),
         python-pbr (>= 1.6),
         python-pycadf (>= 1.1.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceilometermiddleware-doc
Description: OpenStack Telemetry middleware for generating metrics - Python 2.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 2.x module.

#Package: python3-ceilometermiddleware
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: ${misc:Depends}, ${python3:Depends}
#Suggests: python-ceilometermiddleware-doc
#Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
# This library provides middleware modules designed to enable metric and event
# data generation to be consumed by Ceilometer.
# .
# This package contains the Python 3.x module.

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
#PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/openstack/ceilometermiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ceilometermiddleware; \
	done
#	set -e ; for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-ceilometermiddleware; \
#	done
	rm -rf $(CURDIR)/debian/python*-ceilometermiddleware/usr/lib/python*/dist-packages/*.pth

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .testrepository ; \
		testr-python$$PYMAJOR init ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		testr-python$$PYMAJOR slowest ; \
	done
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ceilometermiddleware 0.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.config>=3.7.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
six>=1.9.0 # MIT
Babel>=1.3 # BSD

=== debian/changelog ===
python-ceilometermiddleware (0.4.0-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Mon, 26 Sep 2016 20:38:28 +0000

python-ceilometermiddleware (0.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * Added python-mock to B-D (Closes: #827688)
  * Changed B-D and D for new upstream release
  * Don't run Py3 tests
  * Changed Vcs-* fields to https version
  * Standards-Version is 3.9.8 now (no changes needed)
  * d/copyright
    - Reordered
    - Added myself to Debian part
  * Enabled autopkgtest-pkg-python testsuite

 -- Ondřej Nový <onovy@debian.org>  Sun, 26 Jun 2016 02:15:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,41 +3,43 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr,
+               python-pbr (>= 1.6),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 1.3),
-                     python-coverage (>= 3.6),
+Build-Depends-Indep: python-babel,
+                     python-coverage,
                      python-hacking (>= 0.10.0),
-                     python-oslo.config (>= 1:2.3.0),
+                     python-mock (>= 1.2),
+                     python-oslo.config (>= 1:3.7.0),
                      python-oslo.context (>= 0.2.0),
-                     python-oslo.messaging (>= 1.16.0),
-                     python-oslo.utils (>= 2.0.0),
+                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.utils (>= 3.5.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pycadf (>= 1.1.0),
                      python-six (>= 1.9.0),
-                     python-subunit (>= 0.0.18),
-                     python-testscenarios (>= 0.4),
+                     python-subunit,
+                     python-testscenarios,
                      python-testtools (>= 1.4.0),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ceilometermiddleware.git
-Vcs-Git: git://anonscm.debian.org/openstack/python-ceilometermiddleware.git
+                     subunit,
+                     testrepository,
+Standards-Version: 3.9.8
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ceilometermiddleware?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-python-ceilometermiddleware -b debian/newton
 Homepage: http://www.openstack.org/
+Testsuite: autopkgtest-pkg-python
 
 Package: python-ceilometermiddleware
 Architecture: all
-Depends: python-babel (>= 1.3),
-         python-oslo.config (>= 1:2.3.0),
+Depends: python-babel,
+         python-oslo.config (>= 1:3.7.0),
          python-oslo.context (>= 0.2.0),
-         python-oslo.messaging (>= 1.16.0),
-         python-oslo.utils (>= 2.0.0),
+         python-oslo.messaging (>= 4.0.0),
+         python-oslo.utils (>= 3.5.0),
          python-pbr (>= 1.6),
          python-pycadf (>= 1.1.0),
          python-six (>= 1.9.0),

## python-ceilometermiddleware 0.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

oslo.config>=3.9.0 # Apache-2.0
oslo.messaging>=4.5.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
pbr>=1.6 # Apache-2.0
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
six>=1.9.0 # MIT

=== debian/changelog ===
python-ceilometermiddleware (0.5.0-3) unstable; urgency=medium

  * Added Py3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Oct 2016 11:30:04 +0200

python-ceilometermiddleware (0.5.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 08 Oct 2016 11:05:21 +0200

python-ceilometermiddleware (0.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 09:51:45 +0100

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 53~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-hacking (>= 0.10.0),
                     python-mock (>= 1.2),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.messaging (>= 4.5.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pycadf (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-subunit,
                     python3-mock (>= 1.2),
                     python3-oslo.config (>= 1:3.9.0),
                     python3-oslo.messaging (>= 4.5.0),
                     python3-oslo.utils (>= 3.5.0),
                     python3-oslotest (>= 1:1.10.0),
                     python3-pycadf (>= 1.1.0),
                     python3-six (>= 1.9.0),
                     python3-subunit,
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ceilometermiddleware?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-ceilometermiddleware -b debian/newton
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware
Architecture: all
Depends: python-oslo.config (>= 1:3.9.0),
         python-oslo.messaging (>= 4.5.0),
         python-oslo.utils (>= 3.5.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 2.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 2.x module.

Package: python3-ceilometermiddleware
Architecture: all
Depends: python3-oslo.config (>= 1:3.9.0),
         python3-oslo.messaging (>= 4.5.0),
         python3-oslo.utils (>= 3.5.0),
         python3-pbr (>= 1.8),
         python3-pycadf (>= 1.1.0),
         python3-six (>= 1.9.0),
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

## python-ceilometermiddleware 1.0.2

=== requirements.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # process, which may cause wedges in the gate later.
 
 oslo.config>=3.9.0 # Apache-2.0
-oslo.messaging>=4.5.0 # Apache-2.0
-oslo.utils>=3.5.0 # Apache-2.0
+oslo.messaging>=5.2.0 # Apache-2.0
+oslo.utils
 pbr>=1.6 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 six>=1.9.0 # MIT

=== debian/changelog ===
python-ceilometermiddleware (1.0.2-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 20 Mar 2017 14:54:29 +0000

python-ceilometermiddleware (1.0.2-0ubuntu1) zesty; urgency=medium

  * d/watch: Update to point to pypi.debian.net.
  * New upstream relese.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Mar 2017 10:29:27 -0400

python-ceilometermiddleware (1.0.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version.
  * debian/control: Bump versioned dependencies

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 09 Nov 2016 11:06:25 -0500

python-ceilometermiddleware (0.5.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 08 Sep 2016 09:51:45 +0100

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.6),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-coverage,
                     python-hacking (>= 0.10.0),
                     python-mock (>= 1.2),
                     python-oslo.config (>= 1:3.9.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.utils,
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pycadf (>= 1.1.0),
                     python-six (>= 1.9.0),
                     python-subunit,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware
Architecture: all
Depends: python-oslo.config (>= 1:3.9.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.utils,
         python-pbr (>= 1.6),
         python-pycadf (>= 1.1.0),
         python-six (>= 1.9.0),
         ${misc:Depends},
         ${python:Depends},
Suggests: python-ceilometermiddleware-doc
Description: OpenStack Telemetry middleware for generating metrics - Python 2.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 2.x module.

#Package: python3-ceilometermiddleware
#Architecture: all
#Pre-Depends: dpkg (>= 1.15.6~)
#Depends: ${misc:Depends}, ${python3:Depends}
#Suggests: python-ceilometermiddleware-doc
#Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
# This library provides middleware modules designed to enable metric and event
# data generation to be consumed by Ceilometer.
# .
# This package contains the Python 3.x module.

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

## python-ceilometermiddleware 1.1.0

=== debian/changelog ===
python-ceilometermiddleware (1.1.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 25 Apr 2017 16:23:09 +0000

python-ceilometermiddleware (1.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 09:53:28 +0100

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,15 @@
                dh-python,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.6),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-coverage,
                      python-hacking (>= 0.10.0),
                      python-mock (>= 1.2),
-                     python-oslo.config (>= 1:3.9.0),
-                     python-oslo.messaging (>= 5.2.0),
-                     python-oslo.utils,
+                     python-oslo.config (>= 1:3.22.0),
+                     python-oslo.messaging (>= 5.19.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1:1.10.0),
                      python-pycadf (>= 1.1.0),
@@ -34,10 +34,10 @@
 
 Package: python-ceilometermiddleware
 Architecture: all
-Depends: python-oslo.config (>= 1:3.9.0),
-         python-oslo.messaging (>= 5.2.0),
-         python-oslo.utils,
-         python-pbr (>= 1.6),
+Depends: python-oslo.config (>= 1:3.22.0),
+         python-oslo.messaging (>= 5.19.0),
+         python-oslo.utils (>= 3.20.0),
+         python-pbr (>= 2.0.0),
          python-pycadf (>= 1.1.0),
          python-six (>= 1.9.0),
          ${misc:Depends},

## python-ceilometermiddleware 1.2.0

=== requirements.txt ===
--- 
+++ 
@@ -8,3 +8,5 @@
 pbr>=1.6 # Apache-2.0
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 six>=1.9.0 # MIT
+keystoneauth1>=2.18.0  # Apache-2.0
+python-keystoneclient>=3.8.0  # Apache-2.0

=== debian/changelog ===
python-ceilometermiddleware (1.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 13:03:03 -0500

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python-betamax (>= 0.7.0),
 python-coverage (>= 3.6),
 python-hacking (>= 0.10.0),
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 1:3.8.0),
 python-mock (>= 1.2),
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config (>= 1:3.9.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.utils (>= 3.20.0),
 python-oslosphinx (>= 2.5.0),
 python-oslotest (>= 1:1.10.0),
 python-pycadf (>= 1.1.0),
 python-six (>= 1.9.0),
 python-subunit (>= 0.0.18),
 python-testrepository (>= 0.0.18),
 python-testscenarios,
 python-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware
Architecture: all
Depends:
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 1:3.8.0),
 python-oslo.config (>= 1:3.9.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.utils (>= 3.20.0),
 python-pbr (>= 2.0.0),
 python-pycadf (>= 1.1.0),
 python-six (>= 1.9.0),
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 2.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 2.x module.

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Pre-Depends:
 dpkg (>= 1.15.6~),
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,42 @@
 #!/usr/bin/make -f
+
+PYTHONS:=$(shell pyversions -vr)
+#PYTHON3S:=$(shell py3versions -vr)
 
 UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export OSLO_PACKAGE_VERSION=$(VERSION)
+
 %:
-	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
+	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc
+#	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc
 
-override_dh_auto_install:
-	pkgos-dh_auto_install
+override_dh_install:
+	set -e ; for pyvers in $(PYTHONS); do \
+		python$$pyvers setup.py install --install-layout=deb \
+			--root $(CURDIR)/debian/python-ceilometermiddleware; \
+	done
+#	set -e ; for pyvers in $(PYTHON3S); do \
+#		python$$pyvers setup.py install --install-layout=deb \
+#			--root $(CURDIR)/debian/python3-ceilometermiddleware; \
+#	done
+	rm -rf $(CURDIR)/debian/python*-ceilometermiddleware/usr/lib/python*/dist-packages/*.pth
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test
+	@echo "===> Running tests"
+	set -e ; set -x ; for i in 2.7 ; do \
+		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
+		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
+		rm -rf .testrepository ; \
+		testr-python$$PYMAJOR init ; \
+		TEMP_REZ=`mktemp -t` ; \
+		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr-python$$PYMAJOR run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
+		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
+		rm -f $$TEMP_REZ ; \
+		testr-python$$PYMAJOR slowest ; \
+	done
 endif
 
 override_dh_sphinxdoc:

## python-ceilometermiddleware 1.3.0

=== debian/changelog ===
python-ceilometermiddleware (1.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Bump my copyright year
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Do not test with Python 3, as this is a Swift middleware (Closes: #909991).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Oct 2018 20:13:05 +0200

python-ceilometermiddleware (1.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 22:56:29 +0000

python-ceilometermiddleware (1.2.0-1) experimental; urgency=medium

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Updating standards version to 4.1.0.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Feb 2018 08:26:28 +0000

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr,
 python-setuptools,
 python-sphinx,
 python3-all,
 python3-pbr,
 python3-setuptools,
Build-Depends-Indep:
 python-babel,
 python-betamax,
 python-coverage,
 python-hacking,
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 3.8.0),
 python-mock,
 python-openstackdocstheme (>= 1.17.0),
 python-oslo.config,
 python-oslo.context (>= 0.2.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.utils (>= 3.33.0),
 python-oslosphinx,
 python-oslotest (>= 1:1.10.0),
 python-pycadf,
 python-six,
 python-subunit,
 python-testscenarios,
 python-testtools (>= 1.4.0),
 python3-betamax,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-mock,
 python3-oslo.config,
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf,
 python3-six,
 python3-subunit,
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware.git
Homepage: http://www.openstack.org/

Package: python-ceilometermiddleware
Architecture: all
Depends:
 python-babel,
 python-keystoneauth1 (>= 2.18.0),
 python-keystoneclient (>= 3.8.0),
 python-oslo.config,
 python-oslo.context (>= 0.2.0),
 python-oslo.messaging (>= 5.2.0),
 python-oslo.utils (>= 3.33.0),
 python-pbr,
 python-pycadf,
 python-six,
 ${misc:Depends},
 ${python:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 2.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 2.x module.

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-oslo.config,
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr,
 python3-pycadf,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py3
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installcron override_dh_installdebconf:
override_dh_installlogrotate override_dh_installgsettings:

=== debian/watch ===
version=3
https://github.com/openstack/ceilometermiddleware/tags .*/(\d[\d\.]+)\.tar\.gz

## python-ceilometermiddleware 1.5.0

=== debian/changelog ===
python-ceilometermiddleware (1.5.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 25 Sep 2019 23:47:17 +0000

python-ceilometermiddleware (1.5.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Sep 2019 14:28:23 -0400

python-ceilometermiddleware (1.3.0-0ubuntu2) eoan; urgency=medium

  * Drop Python 2 support:
    - d/control: Drop python-ceilometermiddleware binary package.
    - d/control: Drop BDI's on python-*.
    - d/rules: Drop install and test of Python 2 module.

 -- James Page <james.page@ubuntu.com>  Thu, 11 Jul 2019 05:53:16 +0100

python-ceilometermiddleware (1.3.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from pypi.debian.net.
  * d/p/skip-tests.patch: Skip failing Py3.7 tests.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 06 Aug 2018 10:21:47 -0400

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-betamax (>= 0.7.0),
 python3-coverage (>= 3.6),
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils,
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 0.1.1),
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 0.0.18),
 python3-testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-ceilometermiddleware
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils,
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	sphinx-build -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils


override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

## python-ceilometermiddleware 2.0.0

=== debian/changelog ===
python-ceilometermiddleware (2.0.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Get tarball from pypi.debian.net.
    - d/p/skip-tests.patch: Skip failing Py3.7 tests.
    - d/control: Drop BDI's on python-*.
    - d/control: Enable autopkgtest-pkg-python testsuite.
  * New upstream release for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Fri, 31 Jan 2020 14:03:47 +0100

python-ceilometermiddleware (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 23 Oct 2019 00:42:19 +0200

python-ceilometermiddleware (1.5.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/copyright: Bump my copyright year.

  [ Thomas Goirand ]
  * New upstream release.
  * Removed fix-generator-raises-StopIteration.patch, upstream wrote another
    patch for this.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 21:52:49 +0200

python-ceilometermiddleware (1.4.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to python 3 only.
  * Add fix-generator-raises-StopIteration.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Jul 2019 20:25:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/source debian/python-ceilometermiddleware-doc/usr/share/doc/python-ceilometermiddleware-doc/html
	dh_sphinxdoc

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/ceilometermiddleware/ceilometermiddleware-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-ceilometermiddleware 2.1.0

=== debian/changelog ===
python-ceilometermiddleware (2.1.0-3~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add rabbit-over-ssl.patch.
  * Add python3-swift as (build-)depends.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-victoria.infomaniak.ch>  Fri, 23 Jul 2021 15:14:33 +0000

python-ceilometermiddleware (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Oct 2020 22:51:32 +0200

python-ceilometermiddleware (2.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.
  * debhelper-compat = 11.
  * Standards-Version: 4.5.0.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Sep 2020 14:09:55 +0200

python-ceilometermiddleware (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 12:31:30 +0200

python-ceilometermiddleware (2.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed oslosphinx build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 Apr 2020 18:38:47 +0200

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-betamax,
 python3-coverage,
 python3-hacking,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-openstackdocstheme (>= 1.17.0),
 python3-oslo.config,
 python3-oslo.context (>= 0.2.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf,
 python3-six,
 python3-subunit,
 python3-swift,
 python3-testscenarios,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-ceilometermiddleware.git
Homepage: http://www.openstack.org/

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 3.8.0),
 python3-oslo.config,
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr,
 python3-pycadf,
 python3-six,
 python3-swift,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

## python-ceilometermiddleware 2.3.0

=== debian/changelog ===
python-ceilometermiddleware (2.3.0-0ubuntu1~cloud0) focal-xena; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 07 Oct 2021 15:32:54 +0000

python-ceilometermiddleware (2.3.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 12:34:15 +0000

python-ceilometermiddleware (2.2.0-0ubuntu1) impish; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 09:34:50 -0400

python-ceilometermiddleware (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-tests.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 09:24:54 +0000

=== debian/control ===
Source: python-ceilometermiddleware
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-betamax (>= 0.7.0),
 python3-coverage (>= 3.6),
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-mock (>= 1.2),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils,
 python3-oslosphinx (>= 2.5.0),
 python3-oslotest (>= 1:1.10.0),
 python3-pycadf (>= 1.1.0),
 python3-reno (>= 0.1.1),
 python3-six (>= 1.9.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 0.0.18),
 python3-testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ceilometermiddleware
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-ceilometermiddleware
Homepage: http://www.openstack.org/
Testsuite: autopkgtest-pkg-python

Package: python-ceilometermiddleware-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Telemetry middleware for generating metrics - doc
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the documentation.

Package: python3-ceilometermiddleware
Architecture: all
Depends:
 python3-babel,
 python3-keystoneauth1 (>= 2.18.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-oslo.config (>= 1:3.9.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.utils,
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-six (>= 1.9.0),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-ceilometermiddleware-doc,
Description: OpenStack Telemetry middleware for generating metrics - Python 3.x
 This library provides middleware modules designed to enable metric and event
 data generation to be consumed by Ceilometer.
 .
 This package contains the Python 3.x module.

## python-ceilometermiddleware 2.4.1

=== debian/changelog ===
python-ceilometermiddleware (2.4.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Mar 2022 13:41:12 -0500

python-ceilometermiddleware (2.4.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/p/skip-tests.patch: Dropped. No longer needed.
  * d/rules: Switch to pybuild.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 10:46:45 -0500

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 10),
+ debhelper-compat (= 13),
  dh-python,
- openstack-pkg-tools (>= 23~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,10 @@
 UPSTREAM_GIT = https://github.com/openstack/ceilometermiddleware.git
 include /usr/share/openstack-pkg-tools/pkgos.make
 
+export PYBUILD_NAME=ceilometermiddleware
+
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
 	rm -rf build
